/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery;

import org.apache.cactus.JspTestCase;


/**
 * <p>
 * Tests functionality and error cases of <code>HttpServletNodeDiscoveryTag</code> class.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class HttpServletNodeDiscoveryTagUnitTest extends JspTestCase {
    /** Represents the <code>HttpServletNodeDiscoveryTag</code> instance used for testing. */
    private HttpServletNodeDiscoveryTag nodeDiscoveryTag = null;

    /**
     * <p>
     * Sets up the test environment. The test instance is created.
     * </p>
     *
     * @throws Exception any exception to junit.
     */
    protected void setUp() throws Exception {
        nodeDiscoveryTag = new HttpServletNodeDiscoveryTag();
    }

    /**
     * <p>
     * Tests the accuracy of constructor <code>HttpServletNodeDiscoveryTag()</code>.
     * </p>
     */
    public void testHttpServletNodeDiscoveryTag_Accuracy() {
        assertNotNull("The HttpServletNodeDiscoveryTag instance should be created.", nodeDiscoveryTag);
    }

    /**
     * <p>
     * Tests the method <code>getCurrentNode(PageContext)</code> with null pageContext, expect
     * IllegalArgumentException.
     * </p>
     */
    public void testGetCurrentNode_NullPageContext() {
        try {
            nodeDiscoveryTag.getCurrentNode(null);
            fail("IllegalArgumentException should be thrown.");
        } catch (IllegalArgumentException e) {
            // good
        }
    }

    /**
     * <p>
     * Tests the accuracy of method <code>getCurrentNode(PageContext)</code>.
     * </p>
     */
    public void testGetCurrentNode_Accuracy() {
        assertNotNull("The currentNode should be got properly.", nodeDiscoveryTag.getCurrentNode(pageContext));
    }
}
